# -*- encoding: utf-8 -*-
# stub: roodi 4.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "roodi"
  s.version = "4.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Marty Andrews", "Peter Evjan"]
  s.date = "2014-04-10"
  s.description = "Roodi parses your Ruby code and warns you about design issues you have based on the checks that is has configured"
  s.email = "hello@peterevjan.com"
  s.executables = ["roodi", "roodi-describe"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "History.txt", "Manifest.txt", "README.md", "Rakefile", "bin/roodi", "bin/roodi-describe", "lib/roodi.rb", "lib/roodi/checks.rb", "lib/roodi/checks/abc_metric_method_check.rb", "lib/roodi/checks/assignment_in_conditional_check.rb", "lib/roodi/checks/case_missing_else_check.rb", "lib/roodi/checks/check.rb", "lib/roodi/checks/class_line_count_check.rb", "lib/roodi/checks/class_name_check.rb", "lib/roodi/checks/class_variable_check.rb", "lib/roodi/checks/control_coupling_check.rb", "lib/roodi/checks/core_method_override_check.rb", "lib/roodi/checks/cyclomatic_complexity_block_check.rb", "lib/roodi/checks/cyclomatic_complexity_check.rb", "lib/roodi/checks/cyclomatic_complexity_method_check.rb", "lib/roodi/checks/empty_rescue_body_check.rb", "lib/roodi/checks/for_loop_check.rb", "lib/roodi/checks/line_count_check.rb", "lib/roodi/checks/method_line_count_check.rb", "lib/roodi/checks/method_name_check.rb", "lib/roodi/checks/module_line_count_check.rb", "lib/roodi/checks/module_name_check.rb", "lib/roodi/checks/name_check.rb", "lib/roodi/checks/npath_complexity_check.rb", "lib/roodi/checks/npath_complexity_method_check.rb", "lib/roodi/checks/parameter_number_check.rb", "lib/roodi/core.rb", "lib/roodi/core/checking_visitor.rb", "lib/roodi/core/error.rb", "lib/roodi/core/parser.rb", "lib/roodi/core/runner.rb", "lib/roodi/core/visitable_sexp.rb", "lib/roodi/version.rb", "lib/roodi_task.rb", "roodi.gemspec", "roodi.yml", "spec/roodi/checks/abc_metric_method_check_spec.rb", "spec/roodi/checks/assignment_in_conditional_check_spec.rb", "spec/roodi/checks/case_missing_else_check_spec.rb", "spec/roodi/checks/class_line_count_check_spec.rb", "spec/roodi/checks/class_name_check_spec.rb", "spec/roodi/checks/class_variable_check_spec.rb", "spec/roodi/checks/control_coupling_check_spec.rb", "spec/roodi/checks/core_method_override_check_spec.rb", "spec/roodi/checks/cyclomatic_complexity_block_check_spec.rb", "spec/roodi/checks/cyclomatic_complexity_method_check_spec.rb", "spec/roodi/checks/empty_rescue_body_check_spec.rb", "spec/roodi/checks/for_loop_check_spec.rb", "spec/roodi/checks/method_line_count_check_spec.rb", "spec/roodi/checks/method_name_check_spec.rb", "spec/roodi/checks/module_line_count_check_spec.rb", "spec/roodi/checks/module_name_check_spec.rb", "spec/roodi/checks/npath_complexity_method_check_spec.rb", "spec/roodi/checks/parameter_number_check_spec.rb", "spec/roodi/core/runner_spec.rb", "spec/roodi/roodi.yml", "spec/roodi_task_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://github.com/roodi/roodi"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.2.2"
  s.summary = "Roodi stands for Ruby Object Oriented Design Inferometer"
  s.test_files = ["spec/roodi/checks/abc_metric_method_check_spec.rb", "spec/roodi/checks/assignment_in_conditional_check_spec.rb", "spec/roodi/checks/case_missing_else_check_spec.rb", "spec/roodi/checks/class_line_count_check_spec.rb", "spec/roodi/checks/class_name_check_spec.rb", "spec/roodi/checks/class_variable_check_spec.rb", "spec/roodi/checks/control_coupling_check_spec.rb", "spec/roodi/checks/core_method_override_check_spec.rb", "spec/roodi/checks/cyclomatic_complexity_block_check_spec.rb", "spec/roodi/checks/cyclomatic_complexity_method_check_spec.rb", "spec/roodi/checks/empty_rescue_body_check_spec.rb", "spec/roodi/checks/for_loop_check_spec.rb", "spec/roodi/checks/method_line_count_check_spec.rb", "spec/roodi/checks/method_name_check_spec.rb", "spec/roodi/checks/module_line_count_check_spec.rb", "spec/roodi/checks/module_name_check_spec.rb", "spec/roodi/checks/npath_complexity_method_check_spec.rb", "spec/roodi/checks/parameter_number_check_spec.rb", "spec/roodi/core/runner_spec.rb", "spec/roodi/roodi.yml", "spec/roodi_task_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ruby_parser>, [">= 3.2.2", "~> 3.2"])
    else
      s.add_dependency(%q<ruby_parser>, [">= 3.2.2", "~> 3.2"])
    end
  else
    s.add_dependency(%q<ruby_parser>, [">= 3.2.2", "~> 3.2"])
  end
end
